> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Report



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /projects/{project_id}/reports/{report_id}
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /projects/{project_id}/reports/{report_id}:
    get:
      tags:
        - project_reports
      summary: Get Project Report
      operationId: get_project_report_projects__project_id__reports__report_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
        - name: report_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Report Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectReportResponse:
      properties:
        id:
          type: string
          title: Id
        prompts_ids:
          items:
            type: string
          type: array
          title: Prompts Ids
        records_ids:
          items:
            type: string
          type: array
          title: Records Ids
        project_id:
          type: string
          title: Project Id
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        title:
          type: string
          title: Title
        context:
          anyOf:
            - type: string
            - type: 'null'
          title: Context
        context_expand:
          anyOf:
            - type: string
            - type: 'null'
          title: Context Expand
        status:
          type: string
          title: Status
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        is_public:
          type: boolean
          title: Is Public
        is_archived:
          type: boolean
          title: Is Archived
        is_deleted:
          type: boolean
          title: Is Deleted
        preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Id
        report_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Language
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - prompts_ids
        - records_ids
        - project_id
        - category
        - title
        - context
        - context_expand
        - status
        - content
        - is_public
        - is_archived
        - is_deleted
        - preset_id
        - report_language
        - created_at
        - updated_at
      title: ProjectReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````